# HG changeset patch
# Node ID 4d4996427f11
# Parent  ed83ab9e189b
diff --git a/gplugin/gplugin-core.c b/gplugin/gplugin-core.c
--- a/gplugin/gplugin-core.c
+++ b/gplugin/gplugin-core.c
@@ -64,14 +64,14 @@ static GPluginCoreFlags core_flags = 0;
 
 /**
  * gplugin_init:
- * @flags: The #GPluginCoreFlags to set.
+ * @flags: The core flags to set.
  *
  * Initializes the GPlugin library.
  *
  * This function *MUST* be called before interacting with any other GPlugin
- * API. The one exception is gplugin_get_option_group(). Parsing options with
- * the GOptionGroup from gplugin_get_option_group() internally calls
- * gplugin_init().
+ * API. The one exception is [func@GPlugin.get_option_group]. Parsing options
+ * with the [class@GLib.OptionGroup] from [func@GPlugin.get_option_group]
+ * internally calls [func@GPlugin.init].
  */
 void
 gplugin_init(GPluginCoreFlags flags)
@@ -102,11 +102,11 @@ gplugin_uninit(void)
 }
 
 /**
- * gplugin_core_get_flags:
+ * gplugin_get_flags:
  *
- * Gets the #GPluginCoreFlags that were passed to gplugin_init().
+ * Gets the core flags that were passed to [func@GPlugin.init].
  *
- * Returns: The #GPluginCoreFlags that GPlugin was initialized with.
+ * Returns: The core flags that GPlugin was initialized with.
  *
  * Since: 0.34.0
  */
diff --git a/gplugin/gplugin-loader.c b/gplugin/gplugin-loader.c
--- a/gplugin/gplugin-loader.c
+++ b/gplugin/gplugin-loader.c
@@ -177,7 +177,7 @@ gplugin_loader_class_init(G_GNUC_UNUSED 
 
 /**
  * gplugin_loader_get_id:
- * @loader: The #GPluginLoader instance.
+ * @loader: The loader instance.
  *
  * Gets the identifier of @loader.
  *
@@ -199,15 +199,14 @@ gplugin_loader_get_id(GPluginLoader *loa
 
 /**
  * gplugin_loader_query_plugin:
- * @loader: The #GPluginLoader instance performing the query.
+ * @loader: The loader instance performing the query.
  * @filename: The filename to query.
- * @error: (nullable): The return location for a #GError, or %NULL.
+ * @error: (nullable): The return location for a [class@GLib.Error], or %NULL.
  *
  * This function is called by the plugin manager to ask @loader to query
  * @filename and determine if it's a usable plugin.
  *
- * Return value: (transfer full): A #GPluginPlugin instance or %NULL on
- *                                failure.
+ * Returns: (transfer full): A plugin instance or %NULL on failure.
  */
 GPluginPlugin *
 gplugin_loader_query_plugin(
@@ -256,14 +255,14 @@ gplugin_loader_query_plugin(
 
 /**
  * gplugin_loader_load_plugin:
- * @loader: The #GPluginLoader instance performing the load.
- * @plugin: The #GPluginPlugin instance to load.
- * @error: (nullable): The return location for a #GError, or %NULL.
+ * @loader: The loader instance performing the load.
+ * @plugin: The plugin instance to load.
+ * @error: (nullable): The return location for a [class@GLib.Error], or %NULL.
  *
  * This function is called by the plugin manager to ask @loader to load
  * @plugin.
  *
- * Return value: %TRUE if @plugin was loaded successfully, %FALSE otherwise.
+ * Returns: %TRUE if @plugin was loaded successfully, %FALSE otherwise.
  */
 gboolean
 gplugin_loader_load_plugin(
@@ -326,15 +325,15 @@ gplugin_loader_load_plugin(
 
 /**
  * gplugin_loader_unload_plugin:
- * @loader: The #GPluginLoader instance performing the unload.
- * @plugin: The #GPluginPlugin instance to unload.
+ * @loader: The loader instance performing the unload.
+ * @plugin: The plugin instance to unload.
  * @shutdown: Whether or not GPlugin is shutting down.
- * @error: (nullable): The return location for a #GError, or %NULL.
+ * @error: (nullable): The return location for a [class@GLib.Error], or %NULL.
  *
  * This function is called by the plugin manager to ask @loader to unload
  * @plugin.
  *
- * Return value: %TRUE if @plugin was unloaded successfully, %FALSE otherwise.
+ * Returns: %TRUE if @plugin was unloaded successfully, %FALSE otherwise.
  */
 gboolean
 gplugin_loader_unload_plugin(
@@ -391,14 +390,14 @@ gplugin_loader_unload_plugin(
 
 /**
  * gplugin_loader_get_supported_extensions:
- * @loader: The #GPluginLoader instance.
+ * @loader: The loader instance.
  *
- * Returns a #GSList of strings containing the extensions that the loader
- * supports.  Each extension should not include the dot.  For example: so,
- * dll, py, etc.
+ * Returns a [class@GLib.SList] of strings containing the extensions that the
+ * loader supports.  Each extension should not include the dot.  For example:
+ * so, dll, py, etc.
  *
- * Return value: (element-type utf8) (transfer container): A #GSList of
- *               extensions that the loader supports.
+ * Returns: (element-type utf8) (transfer container): A [class@GLib.SList] of
+ *          extensions that the loader supports.
  */
 GSList *
 gplugin_loader_get_supported_extensions(GPluginLoader *loader)
diff --git a/gplugin/gplugin-manager.c b/gplugin/gplugin-manager.c
--- a/gplugin/gplugin-manager.c
+++ b/gplugin/gplugin-manager.c
@@ -39,10 +39,11 @@
 /**
  * GPluginManagerForeachFunc:
  * @id: The id of the plugin.
- * @plugins: A #GSList of each plugin that has the id @id.
- * @data: User data passed to gplugin_manager_foreach().
+ * @plugins: (transfer none) (element-type GPlugin.Plugin): A [class@GLib.SList]
+ *           of each plugin that has the id @id.
+ * @data: User data passed to [method@GPlugin.Manager.foreach].
  *
- * A callback function for gplugin_manager_foreach().
+ * A callback function for [method@GPlugin.Manager.foreach].
  */
 
 /**
@@ -54,7 +55,7 @@
  * @unloaded_plugin: Signal emitted after a plugin is unloaded.
  * @unload_plugin_failed: Signal emitted when a plugin fails to unload.
  *
- * Virtual function table for #GPluginManager.
+ * Virtual function table for [class@GPlugin.Manager].
  */
 
 /******************************************************************************
@@ -305,9 +306,9 @@ gplugin_manager_class_init(GPluginManage
 
 	/**
 	 * GPluginManager::loading-plugin:
-	 * @manager: The #GPluginManager instance.
-	 * @plugin: The #GPluginPlugin that's about to be loaded.
-	 * @error: Return address for a #GError.
+	 * @manager: The [class@GPlugin.Manager] instance.
+	 * @plugin: The [class@GPlugin.Plugin] that's about to be loaded.
+	 * @error: Return address for a [class@GLib.Error].
 	 *
 	 * Emitted before @plugin is loaded.
 	 *
@@ -328,8 +329,8 @@ gplugin_manager_class_init(GPluginManage
 
 	/**
 	 * GPluginManager::loaded-plugin:
-	 * @manager: the #gpluginpluginmanager instance.
-	 * @plugin: the #gpluginplugin that's about to be loaded.
+	 * @manager: The [class@GPlugin.Manager] instance.
+	 * @plugin: The [class@GPlugin.Plugin] that's about to be loaded.
 	 *
 	 * emitted after a plugin is loaded.
 	 */
@@ -347,8 +348,8 @@ gplugin_manager_class_init(GPluginManage
 
 	/**
 	 * GPluginManager::load-plugin-failed:
-	 * @manager: The #GPluginManager instance.
-	 * @plugin: The #GPluginPlugin that failed to load.
+	 * @manager: The [class@GPlugin.Manager] instance.
+	 * @plugin: The [class@GPlugin.Plugin] that failed to load.
 	 *
 	 * emitted after a plugin fails to load.
 	 */
@@ -366,9 +367,9 @@ gplugin_manager_class_init(GPluginManage
 
 	/**
 	 * GPluginManager::unloading-plugin
-	 * @manager: the #GPluginManager instance.
-	 * @plugin: the #GPluginPlugin that's about to be unloaded.
-	 * @error: Return address for a #GError.
+	 * @manager: The [class@GPlugin.Manager] instance.
+	 * @plugin: The [class@GPlugin.Plugin] that's about to be unloaded.
+	 * @error: Return address for a [class@GLib.Error].
 	 *
 	 * emitted before a plugin is unloaded.
 	 *
@@ -389,8 +390,8 @@ gplugin_manager_class_init(GPluginManage
 
 	/**
 	 * GPluginManager::unloaded-plugin:
-	 * @manager: the #gpluginpluginmanager instance.
-	 * @plugin: the #gpluginplugin that's about to be loaded.
+	 * @manager: The [class@GPlugin.Manager] instance.
+	 * @plugin: The [class@GPlugin.Plugin] that's about to be loaded.
 	 *
 	 * emitted after a plugin is successfully unloaded.
 	 */
@@ -408,9 +409,9 @@ gplugin_manager_class_init(GPluginManage
 
 	/**
 	 * GPluginManager::unload-plugin-failed:
-	 * @manager: The #GPluginManager instance.
-	 * @plugin: The #GPluginPlugin instance that failed to unload.
-	 * @error: A #GError instance.
+	 * @manager: The [class@GPlugin.Manager] instance.
+	 * @plugin: The [class@GPlugin.Plugin] instance that failed to unload.
+	 * @error: A [class@GLib.Error] instance.
 	 *
 	 * Emitted when @manager was asked to unload @plugin, but @plugin returned
 	 * %FALSE when its unload function was called.
@@ -526,7 +527,7 @@ gplugin_manager_private_uninit(void)
 
 /**
  * gplugin_manager_append_path:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  * @path: A path to add to the end of the plugin search paths.
  *
  * Adds @path to the end of the list of paths to search for plugins.
@@ -558,7 +559,7 @@ gplugin_manager_append_path(GPluginManag
 
 /**
  * gplugin_manager_prepend_path:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  * @path: A path to add to the beginning of the plugin search paths.
  *
  * Adds @path to the beginning of the list of paths to search for plugins.
@@ -590,7 +591,7 @@ gplugin_manager_prepend_path(GPluginMana
 
 /**
  * gplugin_manager_remove_path:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  * @path: A path to remove from the plugin search paths.
  *
  * Removes @path from the list of paths to search for plugins.
@@ -623,7 +624,7 @@ gplugin_manager_remove_path(GPluginManag
 
 /**
  * gplugin_manager_remove_paths:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  *
  * Clears all paths that are set to search for plugins.
  */
@@ -643,7 +644,7 @@ gplugin_manager_remove_paths(GPluginMana
 
 /**
  * gplugin_manager_add_default_paths:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  *
  * Adds the path that GPlugin was installed to to the plugin search path, as
  * well as `${XDG_CONFIG_HOME}/gplugin` so users can install additional loaders
@@ -667,13 +668,14 @@ gplugin_manager_add_default_paths(GPlugi
 
 /**
  * gplugin_manager_add_app_paths:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  * @prefix: The installation prefix for the application.
  * @appname: The name of the application whose paths to add.
  *
- * Adds the application installation path for @appname.  This will add
- * `@prefix/@appname/plugins` to the list as well as
- * `${XDG_CONFIG_HOME}/@appname/plugins`.
+ * Adds the application installation path for @appname.
+ *
+ * This will add `{prefix}/{appname}/plugins` to the list as well as
+ * `${XDG_CONFIG_HOME}/{appname}/plugins`.
  */
 void
 gplugin_manager_add_app_paths(
@@ -697,12 +699,12 @@ gplugin_manager_add_app_paths(
 
 /**
  * gplugin_manager_get_paths:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  *
  * Gets the list of paths which will be searched for plugins.
  *
- * Returns: (element-type utf8) (transfer none): The list of paths which will
- *          be searched for plugins.
+ * Returns: (element-type utf8) (transfer none): The [type@GLib.List] of paths
+ *          which will be searched for plugins.
  */
 GList *
 gplugin_manager_get_paths(GPluginManager *manager)
@@ -718,11 +720,11 @@ gplugin_manager_get_paths(GPluginManager
 
 /**
  * gplugin_manager_register_loader:
- * @manager: The #GPluginManager instance.
- * @loader: The #GPluginLoader instance to register.
- * @error: (out) (nullable): The return address for a #GError.
+ * @manager: The manager instance.
+ * @loader: The loader instance to register.
+ * @error: (out) (nullable): The return address for a [class@GLib.Error].
  *
- * Registers @type as an available loader.
+ * Registers @loader as an available loader.
  *
  * Returns: %TRUE if the loader was successfully register, %FALSE otherwise
  *          with @error set.
@@ -798,11 +800,11 @@ gplugin_manager_register_loader(
 
 /**
  * gplugin_manager_unregister_loader:
- * @manager: The #GPluginManager instance.
- * @loader: The #GPluginLoader instance to unregister.
- * @error: (out) (nullable): The return address for a #GError.
+ * @manager: The manager instance.
+ * @loader: The loader instance to unregister.
+ * @error: (out) (nullable): The return address for a [class@GLib.Error].
  *
- * Unregisters @type as an available loader.
+ * Unregisters @loader as an available loader.
  *
  * Returns: %TRUE if the loader was successfully unregistered, %FALSE
  *          otherwise with @error set.
@@ -884,9 +886,9 @@ gplugin_manager_unregister_loader(
 
 /**
  * gplugin_manager_get_loaders:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  *
- * Returns a list of all registered #GPluginLoader's.
+ * Returns a list of all registered loaders.
  *
  * Returns: (element-type GPlugin.Loader) (transfer container): Returns a list
  *          of all registered loaders.
@@ -905,7 +907,7 @@ gplugin_manager_get_loaders(GPluginManag
 
 /**
  * gplugin_manager_refresh:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  *
  * Forces a refresh of all plugins found in the search paths.
  */
@@ -1143,9 +1145,9 @@ gplugin_manager_refresh(GPluginManager *
 
 /**
  * gplugin_manager_foreach:
- * @manager: The #GPluginManager instance.
- * @func: (scope call): The #GPluginManagerForeachFunc to call.
- * @data: User data to pass to func.
+ * @manager: The manager instance.
+ * @func: (scope call): The function to call with each plugin.
+ * @data: User data to pass to @func.
  *
  * Calls @func for each plugin that is known.
  */
@@ -1172,15 +1174,13 @@ gplugin_manager_foreach(
 
 /**
  * gplugin_manager_find_plugins:
- * @manager: The #GPluginManager instance.
- * @id: id string of the plugin to find.
+ * @manager: The manager instance.
+ * @id: The ID of the plugin to find.
  *
  * Finds all plugins matching @id.
  *
- * Returns: (element-type GPlugin.Plugin) (transfer full): A #GSList of
- *          referenced #GPluginPlugin's matching @id.  Call
- *          g_slist_free_full() with a `DestroyNotify` of g_object_unref() on
- *          the returned value when you're done with it.
+ * Returns: (element-type GPlugin.Plugin) (transfer full): A [class@GLib.SList]
+ *          of plugins matching @id.
  */
 GSList *
 gplugin_manager_find_plugins(GPluginManager *manager, const gchar *id)
@@ -1201,20 +1201,19 @@ gplugin_manager_find_plugins(GPluginMana
 
 /**
  * gplugin_manager_find_plugins_with_version:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
  * @id: The ID of the plugin to find.
  * @op: one of <, <=, =, ==, >=, >.
  * @version: The version to compare against.
  *
- * Similar to gplugin_manager_find_plugins() but only returns plugins whose
- * versions match @op and @version.  This is primarily used for dependency
- * loading where a plugin may depend on a specific range of versions of another
- * plugin.
+ * Similar to [method@GPlugin.Manager.find_plugins] but only returns plugins
+ * whose versions match @op and @version.
  *
- * Returns: (element-type GPlugin.Plugin) (transfer full): A #GSList of
- *          referenced #GPluginPlugin's matching @id.  Call
- *          g_slist_free_full() with a `DestroyNotify` of g_object_unref() on
- *          the returned value when you're done with it.
+ * This is primarily used for dependency loading where a plugin may depend on a
+ * specific range of versions of another plugin.
+ *
+ * Returns: (element-type GPlugin.Plugin) (transfer full): A [class@GLib.SList]
+ *          of plugins matching @id and the version constraint.
  */
 GSList *
 gplugin_manager_find_plugins_with_version(
@@ -1279,15 +1278,13 @@ gplugin_manager_find_plugins_with_versio
 
 /**
  * gplugin_manager_find_plugins_with_state:
- * @manager: The #GPluginManager instance.
- * @state: The #GPluginPluginState to look for.
+ * @manager: The manager instance.
+ * @state: The state to look for.
  *
  * Finds all plugins that currently have a state of @state.
  *
- * Returns: (element-type GPlugin.Plugin) (transfer full): A #GSList of
- *          referenced #GPluginPlugin's whose state is @state.  Call
- *          g_slist_free_full() with a `DestroyNotify` of g_object_unref() on
- *          the returned value when you're done with it.
+ * Returns: (element-type GPlugin.Plugin) (transfer full): A [class@GLib.SList]
+ *          of plugins whose state is @state.
  */
 GSList *
 gplugin_manager_find_plugins_with_state(
@@ -1322,15 +1319,16 @@ gplugin_manager_find_plugins_with_state(
 
 /**
  * gplugin_manager_find_plugin:
- * @manager: The #GPluginManager instance.
- * @id: The id of the plugin to find.
+ * @manager: The manager instance.
+ * @id: The ID of the plugin to find.
+ *
+ * Finds the first plugin matching @id.
  *
- * Finds the first plugin matching @id.  This function uses
- * #gplugin_manager_find_plugins and returns the first plugin in the
- * list.
+ * This function uses [method@GPlugin.Manager.find_plugins] and returns the
+ * first plugin in the list.
  *
- * Return value: (transfer full): A referenced #GPluginPlugin instance or NULL
- *               if no plugin matching @id was found.
+ * Returns: (transfer full): A plugin instance or %NULL if no plugin
+ *          matching @id was found.
  */
 GPluginPlugin *
 gplugin_manager_find_plugin(GPluginManager *manager, const gchar *id)
@@ -1354,14 +1352,15 @@ gplugin_manager_find_plugin(GPluginManag
 
 /**
  * gplugin_manager_find_plugin_with_newest_version:
- * @manager: The #GPluginManager instance.
- * @id: The id of the plugin to find.
+ * @manager: The manager instance.
+ * @id: The ID of the plugin to find.
  *
- * Calls gplugin_manager_find_plugins() with @id, and then returns the plugins
- * with the highest version number or %NULL if no plugins with @id are found.
+ * Calls [method@GPlugin.Manager.find_plugins] with @id, and then returns the
+ * plugins with the highest version number or %NULL if no plugins with @id are
+ * found.
  *
- * Returns: (transfer full): The #GPluginPlugin with an id of @id that has the
- *          highest version number, or %NULL if no plugins were found with @id.
+ * Returns: (transfer full): The plugin with an ID of @id that has the highest
+ *          version number, or %NULL if no plugins were found with @id.
  */
 GPluginPlugin *
 gplugin_manager_find_plugin_with_newest_version(
@@ -1429,17 +1428,15 @@ gplugin_manager_find_plugin_with_newest_
 
 /**
  * gplugin_manager_get_plugin_dependencies:
- * @manager: The #GPluginManager instance.
- * @plugin: The #GPluginPlugin whose dependencies to get.
- * @error: (out) (nullable): Return address for a #GError.
- *
- * Returns a list of all the #GPluginPlugin's that @plugin depends on.
+ * @manager: The manager instance.
+ * @plugin: The plugin whose dependencies to get.
+ * @error: (out) (nullable): Return address for a [class@GLib.Error].
  *
- * Return value: (element-type GPlugin.Plugin) (transfer full): A #GSList of
- *               #GPluginPlugin's that @plugin depends on, or %NULL on error
- *               with @error set.  Call g_slist_free_full() with a
- *               `DestroyNotify` of g_object_unref() on the returned value when
- *               you're done with it.
+ * Returns a list of all the plugins that @plugin depends on.
+ *
+ * Returns: (element-type GPlugin.Plugin) (transfer full): A [class@GLib.SList]
+ *          of plugins that @plugin depends on, or %NULL on error with @error
+ *          set.
  */
 GSList *
 gplugin_manager_get_plugin_dependencies(
@@ -1530,16 +1527,18 @@ gplugin_manager_get_plugin_dependencies(
 
 /**
  * gplugin_manager_load_plugin:
- * @manager: The #GPluginManager instance.
- * @plugin: #GPluginPlugin instance.
- * @error: (out) (nullable): return location for a #GError or %NULL.
+ * @manager: The manager instance.
+ * @plugin: The plugin instance.
+ * @error: (out) (nullable): Return location for a [class@GLib.Error] or %NULL.
+ *
+ * Loads @plugin and all of its dependencies.
  *
- * Loads @plugin and all of its dependencies.  If a dependency can not be
- * loaded, @plugin will not be loaded either.  However, any other plugins that
- * @plugin depends on that were loaded from this call, will not be unloaded.
+ * If a dependency can not be loaded, @plugin will not be loaded either.
+ * However, any other plugins that @plugin depends on that were loaded from
+ * this call, will not be unloaded.
  *
- * Return value: %TRUE if @plugin was loaded successfully or already loaded,
- *               %FALSE otherwise.
+ * Returns: %TRUE if @plugin was loaded successfully or already loaded, %FALSE
+ *          otherwise.
  */
 gboolean
 gplugin_manager_load_plugin(
@@ -1639,11 +1638,13 @@ gplugin_manager_load_plugin(
 
 /**
  * gplugin_manager_unload_plugin:
- * @manager: The #GPluginManager instance.
- * @plugin: #GPluginPlugin instance.
- * @error: (out) (nullable): Return location for a #GError or %NULL.
+ * @manager: The manager instance.
+ * @plugin: The plugin instance.
+ * @error: (out) (nullable): Return location for a [class@GLib.Error] or %NULL.
  *
- * Unloads @plugin.  If @plugin has dependencies, they are not unloaded.
+ * Unloads @plugin.
+ *
+ * If @plugin has dependencies, they are not unloaded.
  *
  * Returns: %TRUE if @plugin was unloaded successfully or not loaded, %FALSE
  *          otherwise.
@@ -1713,13 +1714,14 @@ gplugin_manager_unload_plugin(
 
 /**
  * gplugin_manager_list_plugins:
- * @manager: The #GPluginManager instance.
+ * @manager: The manager instance.
+ *
+ * Returns a list of all plugin IDs.
  *
- * Returns a #GList of all plugin id's.  Each id should be queried directly
- * for more information.
+ * Each id should be queried directly for more information.
  *
- * Return value: (element-type utf8) (transfer container): A #GList of each
- *               unique plugin id.
+ * Returns: (element-type utf8) (transfer container): A [class@GLib.List] of
+ *          each unique plugin ID.
  */
 GList *
 gplugin_manager_list_plugins(GPluginManager *manager)
@@ -1750,7 +1752,7 @@ gplugin_manager_list_plugins(GPluginMana
 /**
  * gplugin_manager_get_default:
  *
- * Gets the default #GPluginManager in GPlugin.
+ * Gets the default plugin manager in GPlugin.
  *
  * Returns: (transfer none): The default GPluginManager instance.
  *
diff --git a/gplugin/gplugin-options.c b/gplugin/gplugin-options.c
--- a/gplugin/gplugin-options.c
+++ b/gplugin/gplugin-options.c
@@ -125,16 +125,18 @@ gplugin_options_post_parse_cb(
 /**
  * gplugin_get_option_group:
  *
- * Returns a #GOptionGroup for the commandline arguments recognized by
- * GPlugin.  You should add this option group to your #GOptionContext with
- * g_option_context_add_group(), if you are using g_option_context_parse() to
- * parse your commandline arguments.
+ * Returns an option group for the commandline arguments recognized by GPlugin.
+ *
+ * You should add this option group to your [class@GLib.OptionContext] with
+ * [method@GLib.OptionContext.add_group], if you are using
+ * [method@GLib.OptionContext.parse] to parse your commandline arguments.
  *
- * If gplugin_init() has yet to be called before g_option_context_parse() is
- * called, gplugin_init() will be called automatically.
+ * If [func@GPlugin.init] has yet to be called before
+ * [method@GLib.OptionContext.parse] is called, [func@GPlugin.init] will be
+ * called automatically.
  *
- * Return Value: (transfer full): a #GOptionGroup for the commandline arguments
- *                                recognized by GPlugin.
+ * Returns: (transfer full): An option group for the commandline arguments
+ *          recognized by GPlugin.
  */
 GOptionGroup *
 gplugin_get_option_group(void)
diff --git a/gplugin/gplugin-plugin-info.c b/gplugin/gplugin-plugin-info.c
--- a/gplugin/gplugin-plugin-info.c
+++ b/gplugin/gplugin-plugin-info.c
@@ -868,7 +868,7 @@ gplugin_plugin_info_class_init(GPluginPl
 	 * GPluginPluginInfo:unloadable:
 	 *
 	 * Sets whether or not a plugin is unloadable. See
-	 * gplugin_plugin_info_get_unloadable() for more information.
+	 * [method@GPlugin.PluginInfo.get_unloadable] for more information.
 	 *
 	 * Since: 0.35.0
 	 */
@@ -899,7 +899,7 @@ gplugin_plugin_info_class_init(GPluginPl
 
 /**
  * gplugin_plugin_info_get_id:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the id that the plugin identifies itself as.
  *
@@ -919,7 +919,7 @@ gplugin_plugin_info_get_id(GPluginPlugin
 
 /**
  * gplugin_info_get_id_normalized:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Gets the normalized version of the id from @info.  That is, a version where
  * only alpha-numeric and -'s are in the id.
@@ -951,7 +951,7 @@ gplugin_info_get_id_normalized(GPluginPl
 
 /**
  * gplugin_plugin_info_get_provides:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Gets the provides of the plugin as specified in @info.
  *
@@ -974,7 +974,7 @@ gplugin_plugin_info_get_provides(GPlugin
 
 /**
  * gplugin_plugin_info_get_priority:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Gets the priority of the plugin as specified in @info.
  *
@@ -996,7 +996,7 @@ gplugin_plugin_info_get_priority(GPlugin
 
 /**
  * gplugin_plugin_info_get_abi_version:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the ABI or Application Binary Interface version that the plugin
  * is supposed to work against.
@@ -1017,7 +1017,7 @@ gplugin_plugin_info_get_abi_version(GPlu
 
 /**
  * gplugin_plugin_info_get_internal:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns where or not this plugin is is considered an internal plugin.  An
  * internal plugin would be something like a plugin loader or another plugin
@@ -1039,7 +1039,7 @@ gplugin_plugin_info_get_internal(GPlugin
 
 /**
  * gplugin_plugin_info_get_load_on_query:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns whether or not this plugin should be loaded when queried.  This is
  * useful for internal plugins that are adding functionality and should always
@@ -1062,7 +1062,7 @@ gplugin_plugin_info_get_load_on_query(GP
 
 /**
  * gplugin_plugin_info_get_name:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the name of the plugin as specified in @info.
  *
@@ -1082,7 +1082,7 @@ gplugin_plugin_info_get_name(GPluginPlug
 
 /**
  * gplugin_plugin_info_get_version:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the version of the plugin as specified in @info.
  *
@@ -1102,7 +1102,7 @@ gplugin_plugin_info_get_version(GPluginP
 
 /**
  * gplugin_plugin_info_get_license_id:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the liences id for the plugin as specified in @info.
  *
@@ -1122,7 +1122,7 @@ gplugin_plugin_info_get_license_id(GPlug
 
 /**
  * gplugin_plugin_info_get_license_text:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the license text for the plugin as specified in @info.
  *
@@ -1142,7 +1142,7 @@ gplugin_plugin_info_get_license_text(GPl
 
 /**
  * gplugin_plugin_info_get_license_url:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the url of the license for the plugin as specified in @info
  *
@@ -1162,7 +1162,7 @@ gplugin_plugin_info_get_license_url(GPlu
 
 /**
  * gplugin_plugin_info_get_icon_name:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the name of the icon for the plugin as specified in @info.
  *
@@ -1182,7 +1182,7 @@ gplugin_plugin_info_get_icon_name(GPlugi
 
 /**
  * gplugin_plugin_info_get_summary:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the summery for the plugin as specified in @info.
  *
@@ -1202,7 +1202,7 @@ gplugin_plugin_info_get_summary(GPluginP
 
 /**
  * gplugin_plugin_info_get_description:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the description for the plugin as specified in @info.
  *
@@ -1222,7 +1222,7 @@ gplugin_plugin_info_get_description(GPlu
 
 /**
  * gplugin_plugin_info_get_category:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the category of the plugin as specified in @info.
  *
@@ -1242,7 +1242,7 @@ gplugin_plugin_info_get_category(GPlugin
 
 /**
  * gplugin_plugin_info_get_authors:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the authors of the plugin as specified in @info.
  *
@@ -1262,7 +1262,7 @@ gplugin_plugin_info_get_authors(GPluginP
 
 /**
  * gplugin_plugin_info_get_website:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the website for the plugin as specified in @info.
  *
@@ -1282,7 +1282,7 @@ gplugin_plugin_info_get_website(GPluginP
 
 /**
  * gplugin_plugin_info_get_dependencies:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Returns the dependencies of the plugins as specified in @info.
  *
@@ -1303,7 +1303,7 @@ gplugin_plugin_info_get_dependencies(GPl
 
 /**
  * gplugin_plugin_info_get_bind_global:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * This property and therefore function is only used by the native plugin
  * loader.
@@ -1325,13 +1325,13 @@ gplugin_plugin_info_get_bind_global(GPlu
 
 /**
  * gplugin_plugin_info_get_unloadable:
- * @info: The #GPluginPluginInfo instance.
+ * @info: The plugin info instance.
  *
  * Gets whether or not the plugin is unloadable. Certain libraries can not be
  * shutdown cleanly and then re-enabled during the life time of a program. A
  * plugin using one of these libraries should set the
- * GPluginPluginInfo::unloadable property to %FALSE to tell #GPluginManager to
- * not even attempt to unload it.
+ * [property@GPlugin.PluginInfo:unloadable] property to %FALSE to tell
+ * [class@GPlugin.Manager] to not even attempt to unload it.
  *
  * Returns: %TRUE if the plugin is unloadable, otherwise %FALSE.
  *
diff --git a/gplugin/gplugin-plugin.c b/gplugin/gplugin-plugin.c
--- a/gplugin/gplugin-plugin.c
+++ b/gplugin/gplugin-plugin.c
@@ -103,7 +103,7 @@ gplugin_plugin_default_init(GPluginPlugi
 	/**
 	 * GPluginPlugin:loader:
 	 *
-	 * The #GPluginLoader that loaded this plugin.
+	 * The loader that loaded this plugin.
 	 */
 	pspec = g_param_spec_object(
 		"loader",
@@ -116,7 +116,7 @@ gplugin_plugin_default_init(GPluginPlugi
 	/**
 	 * GPluginPlugin:info:
 	 *
-	 * The #GPluginPluginInfo from this plugin.
+	 * The plugin info from this plugin.
 	 */
 	pspec = g_param_spec_object(
 		"info",
@@ -129,7 +129,7 @@ gplugin_plugin_default_init(GPluginPlugi
 	/**
 	 * GPluginPlugin:state:
 	 *
-	 * The #GPluginPluginState that this plugin is in.
+	 * The plugin state that this plugin is in.
 	 */
 	pspec = g_param_spec_enum(
 		"state",
@@ -143,7 +143,7 @@ gplugin_plugin_default_init(GPluginPlugi
 	/**
 	 * GPluginPlugin:error:
 	 *
-	 * A #GError returned the plugin if it failed to load or unload.
+	 * An error that was returned if the plugin failed to load or unload.
 	 */
 	pspec = g_param_spec_boxed(
 		"error",
@@ -155,8 +155,8 @@ gplugin_plugin_default_init(GPluginPlugi
 
 	/**
 	 * GPluginPlugin::state-changed:
-	 * @plugin: The #GPluginPlugin that changed states.
-	 * @oldstate: The old #GPluginPluginState.
+	 * @plugin: The plugin that changed states.
+	 * @oldstate: The old state of @plugin.
 	 * @newstate: The new state of @plugin.
 	 *
 	 * Emitted when @plugin changes state.
@@ -181,7 +181,7 @@ gplugin_plugin_default_init(GPluginPlugi
 
 /**
  * gplugin_plugin_get_filename:
- * @plugin: The #GPluginPlugin instance.
+ * @plugin: The plugin instance.
  *
  * Returns the filename that @plugin was loaded from.
  *
@@ -201,9 +201,9 @@ gplugin_plugin_get_filename(GPluginPlugi
 
 /**
  * gplugin_plugin_get_loader:
- * @plugin: The #GPluginPlugin instance.
+ * @plugin: The plugin instance.
  *
- * Returns the #GPluginLoader that loaded @plugin.
+ * Returns the loader that loaded @plugin.
  *
  * Returns: (transfer full): The #GPluginLoader that loaded @plugin.
  */
@@ -221,11 +221,11 @@ gplugin_plugin_get_loader(GPluginPlugin 
 
 /**
  * gplugin_plugin_get_info:
- * @plugin: The #GPluginPlugin instance.
+ * @plugin: The plugin instance.
  *
- * Returns the #GPluginPluginInfo for @plugin.
+ * Returns the plugin info for @plugin.
  *
- * Returns: (transfer full): The #GPluginPluginInfo instance for @plugin.
+ * Returns: (transfer full): The plugin info instance for @plugin.
  */
 GPluginPluginInfo *
 gplugin_plugin_get_info(GPluginPlugin *plugin)
@@ -241,7 +241,7 @@ gplugin_plugin_get_info(GPluginPlugin *p
 
 /**
  * gplugin_plugin_get_state:
- * @plugin: The #GPluginPlugin instance.
+ * @plugin: The plugin instance.
  *
  * Gets the current state of @plugin.
  *
@@ -263,8 +263,8 @@ gplugin_plugin_get_state(GPluginPlugin *
 
 /**
  * gplugin_plugin_set_state:
- * @plugin: The #GPluginPlugin instance.
- * @state: A new #GPluginPluginState for @plugin.
+ * @plugin: The plugin instance.
+ * @state: The new state for @plugin.
  *
  * Changes the state of @plugin to @state.  This function should only be called
  * by loaders.
@@ -298,11 +298,12 @@ gplugin_plugin_set_state(GPluginPlugin *
 
 /**
  * gplugin_plugin_get_error:
- * @plugin: The #GPluginPlugin instance.
+ * @plugin: The plugin instance.
  *
- * Gets the #GError, if any, that the plugin returned during load or unload.
+ * Gets the [class@GLib.Error], if any, that the plugin returned during load or
+ * unload.
  *
- * Returns: (transfer full): The #GError the plugin returned during load or
+ * Returns: (transfer full): The error the plugin returned during load or
  *          unload, or %NULL if no error occurred.
  */
 GError *
diff --git a/gplugin/gplugin-version.c b/gplugin/gplugin-version.c
--- a/gplugin/gplugin-version.c
+++ b/gplugin/gplugin-version.c
@@ -202,10 +202,12 @@ gplugin_version_parser(
  * @micro: The required micro version.
  *
  * Checks that the GPlugin library in use is compatible with the given version.
- * Generally you would pass in the constants #GPLUGIN_MAJOR_VERSION,
- * #GPLUGIN_MINOR_VERSION, #GPLUGIN_MICRO_VERSION as the three arguments to
- * this function; that produces a check that the library in use is compatible
- * with the version of GPlugin the application or module was compiled against.
+ *
+ * Generally you would pass in the constants [const@GPlugin.MAJOR_VERSION],
+ * [const@GPlugin.MINOR_VERSION], [const@GPlugin.MICRO_VERSION] as the three
+ * arguments to this function; that produces a check that the library in use is
+ * compatible with the version of GPlugin the application or module was
+ * compiled against.
  *
  * Compatibility is defined by two things: first the version of the running
  * library is newer than the version @major.@minor.@micro. Second the running
